// MIXINS, VARIABLES & EXTENDS:

@import "assets";

// ABOUT:

#about {
  section {
    margin-bottom: 30px;
    a {
      cursor: pointer;
    }

    h2 {
      margin-bottom: 5px;
    }

    ul {
      &:not(:last-of-type) {
        padding-bottom: 20px;
      }
    }

    form {
      font-family: inherit;
      font-size: $typo-normal-size;
      line-height: $line-height-normal-size;
      font-weight: normal;
      color: inherit;
      label {
        display: block;
        padding-bottom: 15px;
        input,
        textarea {
          font-family: inherit;
          font-size: inherit;
          line-height: inherit;
          font-weight: inherit;
          color: inherit;
          display: block;
          box-sizing: border-box;
          margin-top: 5px;
          padding: 5px;
          max-width: 100%;
          border: 0;
        }
        input {
          width: 300px;
        }
        textarea {
          width: 450px;
        }
      }
      :global(#recaptcha) {
        padding: 6px 0 15px 0;
      }
      button {
        min-width: 100px;
        min-height: 40px;
        &:global(.enabled) {
          @include basic-button;
        }
        &:global(.disabled) {
          @include shadow;
          @include border-radius(5px);
          color: gray;
          background-color: #d3d3d3;
          padding: 6px 12px;
          box-shadow: var(--shadow-elevation);
          border: none;
        }
        &:global(.working) {
          @include shadow;
          @include border-radius(5px);
          background-image: url(/img/layout/spinner.svg);
          background-size: auto 100%;
          background-repeat: no-repeat;
          background-position: center;
          background-color: $background-blue;
          padding: 6px 12px;
          box-shadow: var(--shadow-elevation);
          border: none;
          span {
            display: none;
          }
        }
      }
    }
  }

  // RESPONSIVENESS RULES:

  @media screen and (max-width: $smartphone-width) {
    section {
      form {
        :global(#recaptcha) {
          transform: scale(0.925);
          transform-origin: 0 0;
        }
      }
    }
  }
}
